Package be.vlaanderen.mercurius.mohm.common.v7

# Class BTCAdviceApplicationType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.BTCAdviceApplicationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class BTCAdviceApplicationType extends Object implements Serializable
Generiek type voor een aanvraag in de vraag naar advies BTC.

Java class for BTCAdviceApplicationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BTCAdviceApplicationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}BTCAdviceMobilityToolType"/>
             <element name="AdviceAskedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Priority" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}BTCPriorityType"/>
             <element name="LinkToMohm" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BTCAdviceApplicationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAdviceAskedDate()`
  Datum aanvraag advies BTC = datum dat ZKC beslist dat aanvraag ontvankelijk is voor BTC.
  `String`
  `getLinkToMohm()`
  Bevat url naar de aanvraag in eMOHM.
  `BTCAdviceMobilityToolType`
  `getMobilityTool()`
  Onderdeel met de gevraagde hulpmiddelen.
  `String`
  `getPriority()`
  Prioriteit van de aanvraag.
  `void`
  `setAdviceAskedDate(Instant value)`
  Sets the value of the adviceAskedDate property.
  `void`
  `setLinkToMohm(String value)`
  Sets the value of the linkToMohm property.
  `void`
  `setMobilityTool(BTCAdviceMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setPriority(String value)`
  Sets the value of the priority property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BTCAdviceApplicationType

    public BTCAdviceApplicationType()

- ## Method Details

  - ### getMobilityTool

    public BTCAdviceMobilityToolType getMobilityTool()
    Onderdeel met de gevraagde hulpmiddelen. Dit blok moet ten minste één element bevatten: een mobiliteitshulpmiddel, een aanpassing, een forfait onderhoud en herstel of een BTC bijkomende tegemoetkoming (supplement).
    Returns:
      possible object is `BTCAdviceMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(BTCAdviceMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `BTCAdviceMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### getAdviceAskedDate

    public Instant getAdviceAskedDate()
    Datum aanvraag advies BTC = datum dat ZKC beslist dat aanvraag ontvankelijk is voor BTC.
    Returns:
      possible object is `String`

  - ### setAdviceAskedDate

    public void setAdviceAskedDate(Instant value)
    Sets the value of the adviceAskedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdviceAskedDate()`

  - ### getPriority

    public String getPriority()
    Prioriteit van de aanvraag. Kan 3 waarden hebben: 1 (laag), 2 (normaal) en 3 (hoog).
    Returns:
      possible object is `String`

  - ### setPriority

    public void setPriority(String value)
    Sets the value of the priority property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPriority()`

  - ### getLinkToMohm

    public String getLinkToMohm()
    Bevat url naar de aanvraag in eMOHM.
    Returns:
      possible object is `String`

  - ### setLinkToMohm

    public void setLinkToMohm(String value)
    Sets the value of the linkToMohm property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLinkToMohm()`